Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
hhessel
Posts: 33
Registered: ‎04-25-2009
My Device: Not Specified
Accepted Solution

Java Version of JVM

Which Version of Java is supported? Can I use Java 5 Generics on my Blackberry?

I'm using 4.5 on a Curve 8300.

 

Thanks,

hhessel

Developer
simon_hain
Posts: 16,282
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport

Re: Java Version of JVM

[ Edited ]
no, you have to use java mobile edition (j2me)

see
http://en.wikipedia.org/wiki/Java_Platform,_Micro_Edition

edith says:
just to amend: the blackberry offers several enhancements to j2me (which are specific for the device). it also implements some JSRs - and some are not implemented. for a complete list look at the documentation/API.
Message Edited by simon_hain on 07-27-2009 03:54 PM
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
New Developer
meetlesli
Posts: 11
Registered: ‎06-25-2014
My Device: BB

Re: Java Version of JVM

thank you all!!!


java example

Leslie Love